#include <sys/types.h>
#include "buffer.h"
#include "readwrite.h"
#include "exit.h"
#include "scan.h"
#include "fmt.h"

void outs(s) /* was named puts, but Solaris pwd.h includes stdio.h. dorks. */
char *s;
{
  if (buffer_puts(buffer_1,s) == -1) _exit(111);
}

int main()
{
  char strnum[FMT_ULONG];
  strnum[fmt_ulong(strnum,(unsigned long) sizeof(pid_t))] = 0;

  outs("#define PID_BYTES ");
  outs(strnum);
  outs("\n");
  if (buffer_flush(buffer_1) == -1) _exit(111);
  return(0);
}
