#include <sys/types.h>
#include <unistd.h>
#include "fork.h"
#include "wait.h"
#include "auto_cleaner.h"

char *cmd[] = {
auto_runcleaner,
0
};

int do_cleanq()
{
  pid_t pid  = -1;

  /* Launch cleanq */
  switch(pid = vfork()) {
    case -1:
	return 0;
    case 0:
        close(0); /* Don't let it fiddle with the message */
	close(1); /* Don't let it fiddle with envelope */
        close(2); /* Don't let it squawk */
	execve(*cmd, cmd, 0);
	_exit(1); /* hopefully not reached */
  }

  /* Don't wait for the exit status */
  return 1;
}
