#include <unistd.h>
#include <sys/types.h>
#include "auto_scanq.h"
#include "strerr.h"
#include "auto_uids.h"
#include "auto_gids.h"
#include "buffer.h"
#include "auto_pkg.h"
#include "generic-install.h"

const char *FATAL="install-post: fatal: ";

int main(void)
{
  /* Create directories */
  if (chdir("command") == -1)
    strerr_die2sys(111,FATAL,"unable to chdir to command: ");
  attrs("qscanq",04755,auto_uid,0);
  attrs("run-cleanq",02755,0,auto_ctlgid);
  attrs("cleanq",0755,0,0);
  attrs("run-antivir",0755,0,0);
  attrs("install-cleanq",0700,0,0);
  attrs("install-post",0700,0,0);
  attrs("install-wrap",0700,0,0);
  attrs("install-unwrap",0700,0,0);
  return(0);
}
