#include <sys/types.h>
#include "buffer.h"
#include "readwrite.h"
#include "exit.h"
#include "scan.h"
#include "fmt.h"
#include "timestamp.h"
#include "auto_pidt.h"

static unsigned long \
fnbytes = TIMESTAMP + PID_BYTES*2 + sizeof(unsigned short)*2 + 3;

void outs(s) /* was named puts, but Solaris pwd.h includes stdio.h. dorks. */
char *s;
{
  if (buffer_puts(buffer_1,s) == -1) _exit(111);
}

int main()
{
  char buf[FMT_ULONG];
  buf[fmt_ulong(buf,fnbytes)] = '\0';

  outs("#define FN_BYTES ");
  outs(buf);
  outs("\n");
  if (buffer_flush(buffer_1) == -1) _exit(111);
  return(0);
}
