#include <unistd.h>
#include <sys/types.h>
#include "fmt.h"
#include "fmt_xpid.h"
#include "timestamp.h"
#include "auto_pidt.h"


void mkfn(char * const buf, const unsigned short count)
{
  char *fn = buf;
  timestamp(fn); fn += TIMESTAMP;
  *fn++ = '.';
  fn += fmt_xpid(fn,getppid(),2*PID_BYTES);
  *fn++ = '.';
  fn += fmt_xpid(fn, (pid_t) count, sizeof(unsigned short));
  *fn = '\0';
}
